1

I tried installing sublime text 2. Downloaded the i86 for my ubuntu 14.04, untar it, moved to /opt, but it refuses to start. This is what I get :

sublime

(sublime:4268): GLib-GObject-WARNING **: cannot register existing type 'GSimpleAsyncResult'

(sublime:4268): GLib-GObject-WARNING **: cannot register existing type 'GAsyncResult'

(sublime:4268): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion 'G_TYPE_IS_INTERFACE (interface_type)' failed

(sublime:4268): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(sublime:4268): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(sublime:4268): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(sublime:4268): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed
Erreur de segmentation (core dumped)

What is the problem ?

0

I don't know why you are facing this problem, but you could try installing Sublime Text the easy way:

sudo add-apt-repository ppa:webupd8team/sublime-text-2
sudo apt-get update
sudo apt-get install sublime-text
  • Well, I removed the /opt entry, installed like you said, and I have just the same thing. – Louis Feb 4 '15 at 10:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.